import {
  GdsContainer
} from "./chunk.UDA2S3GO.js";
import {
  styleExpressionProperty
} from "./chunk.6UWYSL2J.js";
import {
  tokens
} from "./chunk.MM4R6TVG.js";
import {
  gdsCustomElement,
  html
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/components/layout/flex/flex.style.ts
import { css } from "lit";
var style = css`
  :host {
    box-sizing: border-box;
  }
`;
var flex_style_default = style;

// libs/core/src/components/layout/flex/flex.ts
var GdsFlex = class extends GdsContainer {
  connectedCallback() {
    super.connectedCallback();
    this.display = "flex";
  }
  render() {
    return html`<slot></slot>`;
  }
};
GdsFlex.styles = [tokens, flex_style_default];
__decorateClass([
  styleExpressionProperty({
    styleTemplate: (_prop, values) => {
      const colGap = values[0];
      const rowGap = values[1] || colGap;
      return `gap: ${colGap} ${rowGap};`;
    }
  })
], GdsFlex.prototype, "gap", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "flex", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "align-self", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "align-items", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "align-content", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "justify-content", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "place-content", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "justify-items", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "justify-self", 2);
__decorateClass([
  styleExpressionProperty({
    property: "flex-direction",
    valueTemplate: (v) => v
  })
], GdsFlex.prototype, "flex-direction", 2);
GdsFlex = __decorateClass([
  gdsCustomElement("gds-flex")
], GdsFlex);

export {
  GdsFlex
};
