import {
  styleExpressionProperty
} from "./chunk.6UWYSL2J.js";
import {
  GdsButton
} from "./chunk.IZCY56TH.js";
import {
  gdsCustomElement
} from "./chunk.VOYMQ322.js";
import {
  __decorateClass
} from "./chunk.5VURDMKE.js";

// libs/core/src/components/button/fab/fab.styles.ts
import { css } from "lit";
var style = css`
  .button {
    box-shadow: var(--gds-shadow-m);
    position: fixed;
    inset: auto var(--gds-space-3xl) var(--gds-space-3xl) auto;
    block-size: calc(var(--_block-size) + var(--gds-space-xs));
  }
`;
var fab_styles_default = style;

// libs/core/src/components/button/fab/fab.ts
var GdsFab = class extends GdsButton {
  connectedCallback() {
    super.connectedCallback();
    this._dynamicStylesController.inject("FAB_styles", fab_styles_default);
  }
};
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v,
    selector: '[part="_button"]'
  })
], GdsFab.prototype, "position", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v
  })
], GdsFab.prototype, "transform", 2);
__decorateClass([
  styleExpressionProperty({
    valueTemplate: (v) => v,
    selector: '[part="_button"]'
  })
], GdsFab.prototype, "inset", 2);
GdsFab = __decorateClass([
  gdsCustomElement("gds-fab")
], GdsFab);

export {
  GdsFab
};
