import { GdsElement } from '../../../gds-element';
/**
 * @element gds-segment
 */
export declare class GdsSegment<ValueT = any> extends GdsElement {
    static styles: import("lit").CSSResult[];
    /**
     * Whether the segment is selected
     * @attr selected
     */
    selected: boolean;
    /**
     * Value can be used to tie arbitrary data to the segment.
     * @attr value
     */
    value?: ValueT;
    /**
     * Whether the segment is disabled.
     */
    disabled: boolean;
    connectedCallback(): void;
    render(): any;
}
